## lorene 0.0.0~cvs20160908+dfsg

=== C++/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		

BIN_TOOLS = $(HOME_LORENE)/bin
LIB	  = $(HOME_LORENE)/Lib

install: $(LIB) $(BIN_TOOLS) $(BIN_TOOLS)/pointCpointo
	cd Source/App_hor; $(MAKE)
	cd Source/Base_val; $(MAKE)
	cd Source/Base_vect; $(MAKE)
	cd Source/Bhole; $(MAKE)
	cd Source/Bhole_binaire; $(MAKE)
	cd Source/Bin_bhns; $(MAKE)
	cd Source/Bin_bhns_extr; $(MAKE)
	cd Source/Bin_hor; $(MAKE)
	cd Source/Bin_ns_bh; $(MAKE)
	cd Source/Binaire; $(MAKE)
	cd Source/Binary; $(MAKE)
	cd Source/Binary_xcts; $(MAKE)
	cd Source/Black_hole; $(MAKE)
	cd Source/Change_var; $(MAKE)
	cd Source/Cmp; $(MAKE)
	cd Source/Compobj; $(MAKE)
	cd Source/Connection; $(MAKE)
	cd Source/Coord; $(MAKE)
	cd Source/Diff; $(MAKE)
	cd Source/Eos; $(MAKE)
	cd Source/Etoile; $(MAKE)
	cd Source/Excised_slice; $(MAKE)
	cd Source/Gravastar; $(MAKE)		
	cd Source/Grille3d; $(MAKE)
	cd Source/Hole_bhns; $(MAKE)
	cd Source/Isol_hor; $(MAKE)	
	cd Source/Isol_hole; $(MAKE)
	cd Source/Itbl; $(MAKE)
	cd Source/Map; $(MAKE)
	cd Source/Matrice; $(MAKE)
	cd Source/Metric; $(MAKE)
	cd Source/Metrique; $(MAKE)
	cd Source/Mg3d; $(MAKE)
	cd Source/Mtbl; $(MAKE)
	cd Source/Mtbl_cf; $(MAKE)
	cd Source/Non_class_members/Coef; $(MAKE)
	cd Source/Non_class_members/Coef/$(FFT_DIR); $(MAKE)
	cd Source/Non_class_members/Graphics; $(MAKE)
	cd Source/Non_class_members/Operators; $(MAKE)
	cd Source/Non_class_members/PDE; $(MAKE)
	cd Source/Non_class_members/Utilities; $(MAKE)
	cd Source/Ope_elementary; $(MAKE)
	cd Source/Ope_elementary/Ope_sec_order_r2; $(MAKE)
	cd Source/Ope_elementary/Ope_sec_order; $(MAKE)
	cd Source/Ope_elementary/Ope_pois_vect_r; $(MAKE)	
	cd Source/Ope_elementary/Ope_poisson_2d; $(MAKE)
	cd Source/Ope_elementary/Ope_helmholtz_minus_2d; $(MAKE)
	cd Source/Ope_elementary/Ope_poisson_pseudo_1d; $(MAKE)
	cd Source/Ope_elementary/Ope_helmholtz_minus_pseudo_1d; $(MAKE)
	cd Source/Ope_elementary/Ope_vorton; $(MAKE)
	cd Source/Param; $(MAKE)
	cd Source/Param_elliptic; $(MAKE)
	cd Source/Star; $(MAKE)
	cd Source/Star_bhns; $(MAKE)
	cd Source/Tbl; $(MAKE)
	cd Source/Tenseur; $(MAKE)
	cd Source/Tensor; $(MAKE)
	cd Source/Tensor/Scalar; $(MAKE)
	cd Source/Time_slice; $(MAKE)
	cd Source/Valencia; $(MAKE)
	cd Source/Valeur; $(MAKE)
	touch $(LIB)/date_mark

uninstall:
	rm -fr $(LIB)/liblorene.a
	rm -fr $(LIB)/liblorene_g.a
	rm -f $(BIN_TOOLS)/pointCpointo
	cd Source/App_hor; $(MAKE) -i uninstall
	cd Source/Base_val; $(MAKE) -i uninstall
	cd Source/Base_vect; $(MAKE) -i uninstall
	cd Source/Bhole; $(MAKE) -i uninstall
	cd Source/Bhole_binaire; $(MAKE) -i uninstall
	cd Source/Bin_bhns; $(MAKE) -i uninstall
	cd Source/Bin_bhns_extr; $(MAKE) -i uninstall
	cd Source/Bin_hor; $(MAKE) -i uninstall
	cd Source/Bin_ns_bh; $(MAKE) -i uninstall
	cd Source/Binaire; $(MAKE) -i uninstall
	cd Source/Binary; $(MAKE) -i uninstall
	cd Source/Binary_xcts; $(MAKE) -i uninstall
	cd Source/Black_hole; $(MAKE) -i uninstall
	cd Source/Change_var; $(MAKE) -i uninstall
	cd Source/Cmp; $(MAKE) -i uninstall
	cd Source/Connection; $(MAKE) -i uninstall
	cd Source/Coord; $(MAKE) -i uninstall
	cd Source/Diff; $(MAKE) -i uninstall
	cd Source/Eos; $(MAKE) -i uninstall
	cd Source/Etoile; $(MAKE) -i uninstall
	cd Source/Excised_slice; $(MAKE) -i uninstall
	cd Source/Gravastar; $(MAKE) -i uninstall
	cd Source/Grille3d; $(MAKE) -i uninstall
	cd Source/Hole_bhns; $(MAKE) -i uninstall
	cd Source/Isol_hor; $(MAKE) -i uninstall
	cd Source/Isol_hole; $(MAKE) -i uninstall
	cd Source/Itbl; $(MAKE) -i uninstall
	cd Source/Map; $(MAKE) -i uninstall
	cd Source/Matrice; $(MAKE) -i uninstall
	cd Source/Metric; $(MAKE) -i uninstall
	cd Source/Metrique; $(MAKE) -i uninstall
	cd Source/Mg3d; $(MAKE) -i uninstall
	cd Source/Mtbl; $(MAKE) -i uninstall
	cd Source/Mtbl_cf; $(MAKE) -i uninstall
	cd Source/Non_class_members/Coef; $(MAKE) -i uninstall
	cd Source/Non_class_members/Coef/FFT991; $(MAKE) -i uninstall
	cd Source/Non_class_members/Coef/FFTW3; $(MAKE) -i uninstall
	cd Source/Non_class_members/Graphics; $(MAKE) -i uninstall
	cd Source/Non_class_members/Operators; $(MAKE) -i uninstall
	cd Source/Non_class_members/PDE; $(MAKE) -i uninstall
	cd Source/Non_class_members/Utilities; $(MAKE) -i uninstall
	cd Source/Ope_elementary; $(MAKE) -i uninstall
	cd Source/Ope_elementary/Ope_sec_order_r2; $(MAKE) -i uninstall	
	cd Source/Ope_elementary/Ope_sec_order; $(MAKE) -i uninstall	
	cd Source/Ope_elementary/Ope_pois_vect_r; $(MAKE) -i uninstall	
	cd Source/Ope_elementary/Ope_poisson_2d; $(MAKE) -i uninstall
	cd Source/Ope_elementary/Ope_poisson_pseudo_1d; $(MAKE) -i uninstall
	cd Source/Ope_elementary/Ope_helmholtz_minus_2d; $(MAKE) -i uninstall
	cd Source/Ope_elementary/Ope_helmholtz_minus_pseudo_1d; $(MAKE) -i uninstall
	cd Source/Ope_elementary/Ope_vorton; $(MAKE) -i uninstall
	cd Source/Param; $(MAKE) -i uninstall
	cd Source/Param_elliptic; $(MAKE) -i uninstall
	cd Source/Star; $(MAKE) -i uninstall
	cd Source/Star_bhns; $(MAKE) -i uninstall
	cd Source/Tbl; $(MAKE) -i uninstall
	cd Source/Tenseur; $(MAKE) -i uninstall
	cd Source/Tensor; $(MAKE)  -i uninstall
	cd Source/Tensor/Scalar; $(MAKE)  -i uninstall
	cd Source/Time_slice; $(MAKE)  -i uninstall
	cd Source/Valencia; $(MAKE) -i uninstall
	cd Source/Valeur; $(MAKE) -i uninstall

$(LIB):
	mkdir $@

$(BIN_TOOLS):	
	mkdir $@

$(BIN_TOOLS)/pointCpointo:
	$(CXX) $(CXXFLAGS) -o $@ $(HOME_LORENE)/Inst_tools/pointCpointo.C

=== debian/changelog ===
lorene (0.0.0~cvs20160908+dfsg-2) unstable; urgency=low

  * Provide shared libraries
  * Convert to multi-arch

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 20 Sep 2016 07:15:31 +0200

lorene (0.0.0~cvs20160908+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #837556)

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 12 Sep 2016 16:33:32 +0200

=== debian/control ===
Source: lorene
Section: science
Priority: extra
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9), libfftw3-dev, libgsl0-dev, giza-dev,
	       liblapack-dev, libx11-dev, gfortran, dh-exec
Build-Depends-Indep: doxygen
Standards-Version: 3.9.8
Homepage: http://www.lorene.obspm.fr/
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/lorene.git
Vcs-Browser: https://anonscm.debian.org/?p=debian-astro/packages/lorene.git;a=summary

Package: liblorene-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libfftw3-dev, libgsl0-dev, giza-dev, liblapack-dev, libx11-dev,
	 liblorene-debian0 (= ${binary:Version}), liblorenef77-debian0 (= ${binary:Version}),
	 liblorene-export-debian0 (= ${binary:Version}),
	 ${misc:Depends}
Recommends: gfortran
Suggests: lorene-codes-src, lorene-doc
Description: development files for the LORENE framework for numerical relativity
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains the static libraries and include files
 necessary to build LORENE codes or applications using LORENE.
 .
 Compiling LORENE codes (including some that are shipped in the
 lorene-codes-src package) often requires a Fortran compiler. LORENE
 is configured to use gfortran.

Package: lorene-codes-src
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: liblorene-dev
Description: source files of LORENE-based codes
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains the source files of several LORENE codes that
 need to be recompiled for each use case. The liblorene-dev package is
 necessary to compile those codes.

Package: lorene-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: documentation for LORENE
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains the LORENE reference guide

Package: lorene
Architecture: all
Multi-Arch: foreign
Depends: liblorene-dev, lorene-codes-src, ${misc:Depends}
Suggests: lorene-doc
Description: framework for numerical relativity
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This metapackage depends on all of the LORENE software
 components. The reference guide is available in the lorene-doc
 package.

Package: liblorene-debian0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: liblorene shared library 
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains a shared library version of the liblorene library.

Package: liblorenef77-debian0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: liblorenef77 shared library
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains a shared library version of the liblorenef77 library.

Package: liblorene-export-debian0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: liblorene_export shared library
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains a shared library version of the liblorene_export library.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

export HOME_LORENE = $(shell pwd)

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep: local_settings
	$(MAKE) doc

override_dh_auto_test-indep:

override_dh_auto_build-arch: local_settings
	$(MAKE) cpp fortran export test
	$(MAKE) -f debian/Makefile.sharedlibraries

override_dh_auto_test-arch:
	Test/test_lapack

override_dh_auto_install override_dh_auto_install-indep override_dh_auto_install-arch:

override_dh_auto_clean: local_settings
	$(MAKE) -f debian/Makefile.sharedlibraries clean
	$(MAKE) uninstall

override_dh_clean:
	dh_clean
	-rmdir C++/Source/Compobj/Objects/
	-rmdir C++/Source/Compobj/Objects_g/

local_settings: debian/local_settings
	cp debian/local_settings ./local_settings

#### Get source from cvs.
# - To get the very last version:
#     path/debian/rules get-orig-source
# - To get version from a specific date, change CVS_DATE:
#     path/debian/rules CVS_DATE=2016-08-01 get-orig-source
# - For instance, to get last packaged version, from the top directory
#   of the unpacked Debian source package:
#     ./debian/rules CVS_DATE=`dpkg-parsechangelog -SVersion | sed 's/0.0.0~cvs//' | awk -F- '{print $1}'` get-orig-source
# The source code will be retrieved from CVS into the ./Lorene
# directory. En error is triggered if such a file or directory already
# exists.
CVS_DATE = today
get-orig-source:
ifneq (,$(wildcard Lorene))
	$(error "Lorene file or directory exists, please remove it before running get-orig-source")
else
	cvs -z5 -d :pserver:anonymous:anonymous@octane.obspm.fr:/cvsroot export -D$(CVS_DATE) Lorene
# Presumably from non-DFSG PGPLOT, not used
	rm -Rf Lorene/C++/Include_extra
endif

## lorene 0.0.0~cvs20161116%2Bdfsg

=== Codes/Einstein/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB_G = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g 
LIBLOR = $(HOME_LORENE)/Lib/liblorene_g.a $(HOME_LORENE)/Lib/liblorenef77_g.a 

.SUFFIXES : .o .C

SRC1 = wave_evol.C
OBJ1 = $(SRC1:.C=.o)
EXE1 = $(SRC1:.C=)

SRC2 = einstein.C
OBJ2 = $(SRC2:.C=.o)
EXE2 = $(SRC2:.C=)

SRC3 = read_tslice.C
OBJ3 = $(SRC3:.C=.o)
EXE3 = $(SRC3:.C=)

SRC4 = visu_evol.C
OBJ4 = $(SRC4:.C=.o)
EXE4 = $(SRC4:.C=)

SRC5 = analyse_evol.C
OBJ5 = $(SRC5:.C=.o)
EXE5 = $(SRC5:.C=)

$(EXE1): $(OBJ1) $(LIBLOR) 
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ1) $(LIB_G) $(LIB_LAPACK) \
	$(LIB_PGPLOT) $(LIB_GSL) $(LIB_CXX) 

$(EXE2): $(OBJ2) $(LIBLOR) 
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ2) $(LIB_G) $(LIB_LAPACK) \
	$(LIB_PGPLOT) $(LIB_GSL) $(LIB_CXX)

$(EXE3): $(OBJ3) $(LIBLOR) 
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ3) $(LIB_G) $(LIB_LAPACK) \
	$(LIB_PGPLOT) $(LIB_GSL) $(LIB_CXX)

$(EXE4): $(OBJ4) $(LIBLOR) 
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ4) $(LIB_G) $(LIB_LAPACK) \
	$(LIB_PGPLOT) $(LIB_GSL) $(LIB_CXX)

$(EXE5): $(OBJ5) $(LIBLOR) 
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ5) $(LIB_G) $(LIB_LAPACK) \
	$(LIB_PGPLOT) $(LIB_GSL) $(LIB_CXX)

all: $(EXE1) $(EXE2) $(EXE3) $(EXE4) $(EXE5)


.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

uninstall:
	rm -f $(OBJ1) $(OBJ2) $(OBJ3) $(OBJ4) $(OBJ5)
	rm -f $(EXE1) $(EXE2) $(EXE3) $(EXE4) $(EXE5)

=== Codes/Kerr2/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB_G = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g 
LIBLOR = $(HOME_LORENE)/Lib/liblorene_g.a $(HOME_LORENE)/Lib/liblorenef77_g.a 

.SUFFIXES : .o .C

SRC1 = kerr.C
OBJ1 = $(SRC1:.C=.o)
EXE1 = $(SRC1:.C=)

SRC2 = kerr_BL.C
OBJ2 = $(SRC2:.C=.o)
EXE2 = $(SRC2:.C=)

SRC3 = kerr_QI.C
OBJ3 = $(SRC3:.C=.o)
EXE3 = $(SRC3:.C=)

$(EXE1): $(OBJ1) $(LIBLOR)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ1) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)
$(EXE2): $(OBJ2) $(LIBLOR)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ2) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)$

$(EXE3): $(OBJ3) $(LIBLOR)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ3) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)$

.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

uninstall:
	rm -f $(OBJ1) $(OBJ2) $(OBJ3)
	rm -f $(EXE1) $(EXE2) $(EXE3)

=== School05/Friday/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB_G = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g 
LIB = -L$(HOME_LORENE)/Lib -llorene -llorenef77 

.SUFFIXES : .o .C

EXE1 = $(SRC1:.C=)
SRC1 = wave_expl.C
OBJ1 = $(SRC1:.C=.o)

EXE2 = $(SRC2:.C=)
SRC2 = wave_impl.C
OBJ2 = $(SRC2:.C=.o)

EXE3 = $(SRC3:.C=)
SRC3 = wave_impl_bc3.C
OBJ3 = $(SRC3:.C=.o)

EXE4 = $(SRC4:.C=)
SRC4 = sol_wave_expl.C
OBJ4 = $(SRC4:.C=.o)

EXE5 = $(SRC5:.C=)
SRC5 = sol_wave_impl.C
OBJ5 = $(SRC5:.C=.o)

EXE6 = $(SRC6:.C=)
SRC6 = sol_wave_impl3.C
OBJ6 = $(SRC6:.C=.o)


exo: $(EXE1) $(EXE2) $(EXE3)
sol: $(EXE4) $(EXE5) $(EXE6)

all: exo sol

$(EXE1): $(OBJ1)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ1) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE2): $(OBJ2)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ2) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE3): $(OBJ3)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ3) $(LIB_G) $(LIB_LAPACK) \
	$(LIB_PGPLOT) $(LIB_GSL) $(LIB_CXX) 

$(EXE4): $(OBJ4)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ4) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE5): $(OBJ5)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ5) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE6): $(OBJ6)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ6) $(LIB_G) $(LIB_LAPACK) \
	$(LIB_PGPLOT) $(LIB_GSL) $(LIB_CXX) 


.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

clean:
	rm -f $(OBJ1) $(OBJ2) $(OBJ3) $(OBJ4) $(OBJ5) $(OBJ6)
	rm -f $(EXE1) $(EXE2) $(EXE3) $(EXE4) $(EXE5) $(EXE6)

=== Codes/Rot_star/Geodesics/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB_G = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g

.SUFFIXES : .o .C

SRC1 = main.C interpol2.C rk4_exp.C geodesics.C nrutil.C misc.C  
OBJ1 = $(SRC1:.C=.o)
EXE1 = geodesics

$(EXE1): $(OBJ1)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ1) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_PGPLOT) $(LIB_CXX)

.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

uninstall:
	rm -f $(OBJ1)
	rm -f $(EXE1)

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,11 @@
 include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+    DEB_BUILD_MAINT_OPTIONS += optimize=-lto
+endif
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -18,6 +22,13 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+# managing sonames
+export liblorene_soname          = liblorene-debian.so.1
+export liblorene_filename        = liblorene-debian.so.1.0.0
+export liblorenef77_soname       = liblorenef77-debian.so.1
+export liblorenef77_filename     = liblorenef77-debian.so.1.0.0
+export liblorene_export_soname   = liblorene_export-debian.so.0
+export liblorene_export_filename = liblorene_export-debian.so.0.0.0
 
 # main packaging script based on dh7 syntax
 %:
@@ -47,11 +58,6 @@
 	$(MAKE) -f debian/Makefile.sharedlibraries clean
 	$(MAKE) uninstall
 
-override_dh_clean:
-	dh_clean
-	-rmdir C++/Source/Compobj/Objects/
-	-rmdir C++/Source/Compobj/Objects_g/
-
 local_settings: debian/local_settings
 	cp debian/local_settings ./local_settings

=== debian/watch ===
# Upstream maintains this code only in CVS and does not produce releases.

## lorene 0.0.0~cvs20161116+dfsg

=== Makefile ===
SHELL=/bin/sh

all: doc cpp fortran export

install: all

doc:
	cd Doc; $(MAKE) -i

cpp:
	cd C++; $(MAKE)

fortran:
	cd F77; $(MAKE)

export:
	cd Export/C++; $(MAKE)

uninstall:
	cd Doc; $(MAKE) -i uninstall
	cd C++; $(MAKE) -i uninstall
	cd F77; $(MAKE) -i uninstall
	cd Export/C++; $(MAKE) -i uninstall
	rm -fr bin
	rm -fr Lib
	rm -f Test/*.o
	rm -f Test/test_fft Test/test_lapack Test/test_pgplot

test: 
	cd Test; $(MAKE)


.PHONY: all install doc cpp fortran export uninstall test

=== C++/Makefile ===
--- 
+++ 
@@ -88,6 +88,7 @@
 	cd Source/Black_hole; $(MAKE) -i uninstall
 	cd Source/Change_var; $(MAKE) -i uninstall
 	cd Source/Cmp; $(MAKE) -i uninstall
+	cd Source/Compobj; $(MAKE) -i uninstall
 	cd Source/Connection; $(MAKE) -i uninstall
 	cd Source/Coord; $(MAKE) -i uninstall
 	cd Source/Diff; $(MAKE) -i uninstall

=== Devel/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB_G = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g 

.SUFFIXES : .o .C

EXE = name_of_code
SRC = name_of_code.C
OBJ = $(SRC:.C=.o)

$(EXE): $(OBJ)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_PGPLOT) $(LIB_CXX) $(LIB_GSL)

.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

uninstall:
	rm -f $(OBJ)
	rm -f $(EXE)

=== Doc/Makefile ===
SHELL=/bin/sh

SRC = lorene.C $(HOME_LORENE)/C++/Include/*.h 

install: features.dvi refguide

features.dvi: features.tex
	latex features
	rm -f *.aux *.log

refguide: $(SRC) doxyfile
	mv refguide html
	doxygen doxyfile
	mv html refguide

doxyfile: lorene.dox
	rm -f doxyfile
	cp lorene.dox doxyfile
	doxygen -u doxyfile

uninstall:
	cd $(HOME_LORENE)/C++/Doc++; $(MAKE) -i uninstall
	rm -f *.aux *.log *.dvi doxyfile*
	rm -fr refguide
	rm -f refguide.tex

=== F77/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings	

LIB	  = $(HOME_LORENE)/Lib

install: $(LIB) $(LIB)/liblorenef77_g.a $(LIB)/liblorenef77.a

$(LIB)/liblorenef77_g.a: Source/*.f Source/Poisson2d/*.f
	cd Source; $(MAKE) $@
	cd Source/Poisson2d; $(MAKE) $@
	ar -rv $@ $(?:.f=.o)
	$(RANLIB) $@
	rm -f $(?:.f=.o)

$(LIB)/liblorenef77.a: Source/*.f Source/Poisson2d/*.f
	cd Source; $(MAKE) $@
	cd Source/Poisson2d; $(MAKE) $@
	ar -rv $@ $(?:.f=.o)
	$(RANLIB) $@
	rm -f $(?:.f=.o)

uninstall:
	rm -f $(LIB)/liblorenef77.a
	rm -f $(LIB)/liblorenef77_g.a

$(LIB):
	mkdir $@

=== Test/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB	  = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g \
		$(LIB_GSL) \
		$(LIB_LAPACK) \
		$(LIB_PGPLOT) \
		$(LIB_CXX) 

.SUFFIXES : .o .C

install: test_fft test_lapack # test_pgplot

test_fft: test_fft.o
	$(CXX) -o $@ $(CXXFLAGS_G) test_fft.o $(LIB)

test_lapack: test_lapack.o
	$(CXX) -o $@ $(CXXFLAGS_G) test_lapack.o $(LIB)

test_pgplot: test_pgplot.o
	$(CXX) -o $@ $(CXXFLAGS_G) test_pgplot.o $(LIB)


.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

=== C++/Doc++/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings

BIN_TOOLS = $(HOME_LORENE)/bin

install: $(BIN_TOOLS) $(BIN_TOOLS)/reorg_comments $(HOME_LORENE)/Doc/refguide

$(HOME_LORENE)/Doc/refguide: Source/lorene.C $(HOME_LORENE)/C++/Include/*.h
	$(BIN_TOOLS)/reorg_comments $?
	mv $(?:=_r) .
	rm -fr $@
	doc++ -p -w -W -d $@ lorene.C_r

refguide.tex: Source/lorene.C $(HOME_LORENE)/C++/Include/*.h
	$(BIN_TOOLS)/reorg_comments $?
	mv $(?:=_r) .
	doc++ -p -w -W -t -o $(HOME_LORENE)/Doc/refguide.tex lorene.C_r

$(BIN_TOOLS):
	mkdir $@

$(BIN_TOOLS)/reorg_comments:
	$(CXX) $(CXXFLAGS) -o $@ $(HOME_LORENE)/Inst_tools/reorg_comments.C

uninstall:
	rm -f $(BIN_TOOLS)/reorg_comments
	rm -f *.h_r
	rm -f *.C_r

=== Codes/Alternatives/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB_G = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g 
LIBLOR = $(HOME_LORENE)/Lib/liblorene_g.a $(HOME_LORENE)/Lib/liblorenef77_g.a 

.SUFFIXES : .o .C

SRC1 = altbh.C
OBJ1 = $(SRC1:.C=.o)
EXE1 = $(SRC1:.C=)

SRC2 = scalarbh.C
OBJ2 = $(SRC2:.C=.o)
EXE2 = $(SRC2:.C=)

$(EXE1): $(OBJ1) $(LIBLOR)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ1) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE2): $(OBJ2) $(LIBLOR)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ2) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

uninstall:
	rm -f $(OBJ1) $(OBJ2)
	rm -f $(EXE1) $(EXE2)

=== Codes/App_hor/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB_G = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g 
LIB = -L$(HOME_LORENE)/Lib -llorene -llorenef77 

.SUFFIXES : .o .C .f

EXE = kerrschild_ah
SRCC = kerrschild_ah.C 
SRCF = 
OBJ = $(SRCC:.C=.o) $(SRCF:.f=.o)

$(EXE): $(OBJ)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

.f.o:
	$(F77)  -c $(F77FLAGS_G) $<

clean:
	rm -f $(OBJ)
	rm -f $(EXE)

=== Codes/Bin_BH/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB_G = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g 

.SUFFIXES : .o .C

SRC1 = coal_bh.C
OBJ1 = $(SRC1:.C=.o)
EXE1 = $(SRC1:.C=)

SRC2 = lit_holes_bin.C
OBJ2 = $(SRC2:.C=.o)
EXE2 = $(SRC2:.C=)

SRC3 = init_bh.C
OBJ3 = $(SRC3:.C=.o)
EXE3 = $(SRC3:.C=)


$(EXE1): $(OBJ1)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ1) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE2): $(OBJ2)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ2) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE3): $(OBJ3)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ3) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)
.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

uninstall:
	rm -f $(OBJ1) $(OBJ2) $(OBJ3) $(OBJ4) $(OBJ5) $(OBJ6) $(OBJ7)
	rm -f $(EXE1) $(EXE2) $(EXE3) $(EXE4) $(EXE5) $(EXE6) $(EXE7)

=== Codes/Bin_BH_mass_diff/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB_G = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g 

.SUFFIXES : .o .C

SRC1 = coal_bh_mdiff.C
OBJ1 = $(SRC1:.C=.o)
EXE1 = $(SRC1:.C=)

SRC2 = lit_holes_bin_mdiff.C
OBJ2 = $(SRC2:.C=.o)
EXE2 = $(SRC2:.C=)

SRC3 = init_bh_mdiff.C
OBJ3 = $(SRC3:.C=.o)
EXE3 = $(SRC3:.C=)


$(EXE1): $(OBJ1)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ1) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE2): $(OBJ2)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ2) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE3): $(OBJ3)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ3) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)
.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

uninstall:
	rm -f $(OBJ1) $(OBJ2) $(OBJ3)
	rm -f $(EXE1) $(EXE2) $(EXE3)

=== Codes/Bin_hor/Makefile ===
SHELL=/bin/sh

include $(HOME_LORENE)/local_settings		  # defines which compiler,...

LIB_G = -L$(HOME_LORENE)/Lib -llorene_g -llorenef77_g 

.SUFFIXES : .o .C

SRC1 = coal_bh.C
OBJ1 = $(SRC1:.C=.o)
EXE1 = $(SRC1:.C=)

SRC2 = lit_bh.C
OBJ2 = $(SRC2:.C=.o)
EXE2 = $(SRC2:.C=)

SRC3 = init_bh.C
OBJ3 = $(SRC3:.C=.o)
EXE3 = $(SRC3:.C=)

SRC4 = prepare_seq.C
OBJ4 = $(SRC4:.C=.o)
EXE4 = $(SRC4:.C=)

SRC5 = init_coal.C
OBJ5 = $(SRC5:.C=.o)
EXE5 = $(SRC5:.C=)

SRC6 = coal_seq.C
OBJ6 = $(SRC6:.C=.o)
EXE6 = $(SRC6:.C=)

SRC7 = coal_highres.C
OBJ7 = $(SRC7:.C=.o)
EXE7 = $(SRC7:.C=)

$(EXE1): $(OBJ1)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ1) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE2): $(OBJ2)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ2) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

$(EXE3): $(OBJ3)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ3) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)
$(EXE4): $(OBJ4)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ4) $(LIB_G) $(LIB_LAPACK) \
					$(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)
$(EXE5): $(OBJ5)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ5) $(LIB_G) $(LIB_LAPACK) \
                                        $(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)
$(EXE6): $(OBJ6)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ6) $(LIB_G) $(LIB_LAPACK) \
                                        $(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)
$(EXE7): $(OBJ7)
	$(CXX) -o $@ $(CXXFLAGS_G) $(OBJ7) $(LIB_G) $(LIB_LAPACK) \
                                        $(LIB_GSL) $(LIB_PGPLOT) $(LIB_CXX)

.C.o:
	$(CXX)  -c $(CXXFLAGS_G) $(INC) $<

uninstall:
	rm -f $(OBJ1) $(OBJ2) $(OBJ3) $(OBJ4) $(OBJ5) $(OBJ6) $(OBJ7)
	rm -f $(EXE1) $(EXE2) $(EXE3) $(EXE4) $(EXE5) $(EXE6) $(EXE7)

=== debian/changelog ===
lorene (0.0.0~cvs20161116+dfsg-1.3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:59:20 +0000

lorene (0.0.0~cvs20161116+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Explicitly disable LTO, which causes build problems for gyoto

 -- Graham Inggs <ginggs@debian.org>  Sun, 03 Mar 2024 21:47:19 +0000

lorene (0.0.0~cvs20161116+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062672

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 09:54:33 +0000

lorene (0.0.0~cvs20161116+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 31 Dec 2023 14:40:01 +0100

lorene (0.0.0~cvs20161116+dfsg-1) unstable; urgency=medium

  * Propagate experimental changes to unstable.
  * Bug fix: "definition of __infinity is buggy (FTBFS on alpha)",
    (Closes: #845437).

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 23 Nov 2016 12:29:14 +0100

lorene (0.0.0~cvs20161116+dfsg-1~exp1) experimental; urgency=low

  * Fix wrong library symlinks in liblorene-dev.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 17 Nov 2016 18:04:27 +0100

lorene (0.0.0~cvs20161116+dfsg-1~exp0) experimental; urgency=low

  * New upstream release: fixes missing symbols (by removing them from the
    API entirely). Involves soname bump of liblorene and liblorenef77.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 17 Nov 2016 15:43:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lorene
 Section: science
 Priority: extra
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Build-Depends: debhelper (>= 9), libfftw3-dev, libgsl0-dev, giza-dev,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), libfftw3-dev, libgsl0-dev, giza-dev,
 	       liblapack-dev, libx11-dev, gfortran, dh-exec
 Build-Depends-Indep: doxygen
 Standards-Version: 3.9.8
@@ -16,8 +17,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libfftw3-dev, libgsl0-dev, giza-dev, liblapack-dev, libx11-dev,
-	 liblorene-debian0 (= ${binary:Version}), liblorenef77-debian0 (= ${binary:Version}),
-	 liblorene-export-debian0 (= ${binary:Version}),
+	 liblorene-debian1t64 (= ${binary:Version}), liblorenef77-debian1t64 (= ${binary:Version}),
+	 liblorene-export-debian0t64 (= ${binary:Version}),
 	 ${misc:Depends}
 Recommends: gfortran
 Suggests: lorene-codes-src, lorene-doc
@@ -77,7 +78,10 @@
  components. The reference guide is available in the lorene-doc
  package.
 
-Package: liblorene-debian0
+Package: liblorene-debian1t64
+Provides: ${t64:Provides}
+Replaces: liblorene-debian1
+Breaks: liblorene-debian1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -89,7 +93,10 @@
  .
  This package contains a shared library version of the liblorene library.
 
-Package: liblorenef77-debian0
+Package: liblorenef77-debian1t64
+Provides: ${t64:Provides}
+Replaces: liblorenef77-debian1
+Breaks: liblorenef77-debian1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -101,7 +108,10 @@
  .
  This package contains a shared library version of the liblorenef77 library.
 
-Package: liblorene-export-debian0
+Package: liblorene-export-debian0t64
+Provides: ${t64:Provides}
+Replaces: liblorene-export-debian0
+Breaks: liblorene-export-debian0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,7 @@
 include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-    DEB_BUILD_MAINT_OPTIONS += optimize=-lto
-endif
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
